List Alerts for a Website
curl --request GET \
--url https://api.cm.conductor.com/v2/alerts \
--header 'Authorization: <api-key>'import requests
url = "https://api.cm.conductor.com/v2/alerts"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.cm.conductor.com/v2/alerts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "1",
"app_url": "https://app.cm.conductor.com/websites/1-234/alerts?alert=1",
"date_last_updated": "2022-08-04T13:40:50+02:00",
"date_opened": "2022-07-27T09:34:44+02:00",
"scope": "website",
"type": "content_change.meta_description"
},
{
"id": "2",
"app_url": "https://app.cm.conductor.com/websites/1-234/alerts?alert=2",
"date_last_updated": "2022-08-04T13:40:50+02:00",
"date_opened": "2022-07-26T07:03:25+02:00",
"scope": "website",
"type": "pages_became_non_indexable"
}
]
}{
"code": "auth_missing_token",
"message": "Authentication token must be passed in Authorization HTTP header.",
"errors": []
}{
"code": "terms_of_use_not_accepted",
"message": "Reporting API Terms of Use have not been accepted yet. Please accept Terms of Use in Account Settings.",
"errors": []
}{
"error": "Requested website ID was not found"
}{
"code": "auth_malformed",
"message": "Authorization HTTP header must conform to format described in docs.",
"errors": []
}{
"code": "rate_limit_exceeded",
"message": "Too many requests. Try again in a minute.",
"errors": []
}Alerts
List alerts for a website
List a website’s active alerts and get the alert IDs used to look up affected pages.
GET
/
v2
/
alerts
List Alerts for a Website
Authorizations
Send your Reporting API token as Authorization: token {reporting_api_token} — the literal string token, a space, then the token itself. Find it in Conductor Monitoring under Account > Account tab > Integration Tokens.
Query Parameters
Required.
Response
Successful response.
Show child attributes
Show child attributes
